Insights
List insights
Retrieve a paginated list of insights with optional filtering.
curl -X GET "https://api.mythic-analytics.com/api/v1/insights?dashboard_id=example_string&search=example_string&limit=42&offset=42" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://api.mythic-analytics.com/api/v1/insights?dashboard_id=example_string&search=example_string&limit=42&offset=42"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.mythic-analytics.com/api/v1/insights?dashboard_id=example_string&search=example_string&limit=42&offset=42", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
)
func main() {
req, err := http.NewRequest("GET", "https://api.mythic-analytics.com/api/v1/insights?dashboard_id=example_string&search=example_string&limit=42&offset=42", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.mythic-analytics.com/api/v1/insights?dashboard_id=example_string&search=example_string&limit=42&offset=42')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"success": true,
"data": [
{
"id": "ins_8kN2mPqR",
"name": "Daily Active Users",
"description": "example_string",
"query": {},
"visualization": {},
"created_at": "2024-05-10T08:00:00.000Z",
"updated_at": "2024-06-01T12:30:00.000Z"
}
],
"count": 12
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
GET
/insights
GET
Security Scheme
Bearer Tokenstring
RequiredAdmin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Admin API key as bearer token. Format:
Bearer YOUR_ADMIN_KEYquery
dashboard_idstring
Filter insights by dashboard association.
query
searchstring
Case-insensitive search on insight name.
query
limitinteger
Maximum results per page. Default 50, max 500.
Max: 500
query
offsetinteger
Number of results to skip. Default 0.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Query Parameters
dashboard_idstring
Filter insights by dashboard association.
searchstring
Case-insensitive search on insight name.
limitinteger
Maximum results per page. Default 50, max 500.
offsetinteger
Number of results to skip. Default 0.
Responses
successboolean
dataarray
countinteger
Was this page helpful?
Built with Documentation.AI
Last updated today